# SourcePath: libpopt/20130405dev
Summary		: A C library for parsing command line parameters.
Name		: sony-target-dev-libpopt
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libpopt
Version		: 1.16
Release: 12000001
License		: X Consortium
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL		: http://rpm5.org/files/popt/
Source0		: popt-%{version}.tar.gz
Source1: sony-libpopt-libopt-build-libpopt
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.


%package -n %{pkgname}
Summary:The RPM package management system. popt is a C library for parsing command line parameters.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q -n popt-%{version}

%build
%sony_target_dev_setup

./configure \
        --host=%{sony_target_config} \
        --build=%{sony_host_config} \
        --prefix=%{sony_target_dev_prefix} \
        --libdir=%{sony_target_dev_lib_dir} \
        --includedir=%{sony_target_dev_include_dir} 

make CFLAGS="$CFLAGS -ffunction-sections"

%install

%sony_target_dev_setup
rm -rf %{buildroot}
make DESTDIR=%{buildroot}/%{sony_target_dir} install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libpopt

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/
%define _libdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# Install Library Optimizer information (rpm)
install -m 755 %{SOURCE1} %{_optdir}/libpopt/build
install -m 644 .libs/*.o %{_optdir}/libpopt/
(cd %{_optdir}/libpopt; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libpopt.so -o *.o > index)
(umask 022; echo "/usr/lib/libpopt.so.0" > %{_optdir}/libpopt/path)

%demangle_libtool
#END OF LOT

# 6.x
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
	%{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
	if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
		ln -s ../..%{sony_target_devtool_lib_dir}/$l \
		%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
	fi  
done

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_include_dir}/popt.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.so.0.0.0
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libpopt.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpopt.la
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/popt.pc

%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libpopt/*

%changelog
* Thu May 05 2016 Sony Corporation
- Added armhf support in LOT build script

* Fri Apr 05 2013 Sony Corporation
- Initial build
